.menu {
    height: 83px;

    &__dropdown {
        position: relative;
        display: flex;
        justify-content: flex-end;
        padding-top: 23px;
        @include side-paddings;

        @media screen and (min-width: $width-medium) {
            display: none;
        }


        &-btn {
            background-color: #000000;
            width: 44px;
            height: 37px;
            padding: 13px;
            border: none;
            cursor: pointer;

            ::before {
                content: '';
                position: absolute;
                width: 18px;
                height: 2px;
                left: -1px;
                background-color: #FFFFFF;
                transform: translateY(-5px);
                transition: 0.5s;
            }

            ::after {
                content: '';
                position: absolute;
                width: 18px;
                height: 2px;
                left: -1px;
                background-color: #FFFFFF;
                transform: translateY(3px);
                transition: 0.5s;
            }

            span {
                display: block;
                position: relative;
                border: solid 1px;
                width: 18px;
                color: #fff;
            }
        }
    }

    &__navigation {
        display: none;
        position: absolute;
        right: 0;
        background-color: #f5f5f5;
        min-width: 183px;
        height: 208px;
        overflow: hidden;

        @media screen and (min-width: $width-medium) {
            display: flex;
            position: relative;
            background: rgba(0, 0, 0, .0001);
            height: 100%;
            justify-content: space-evenly;
            align-items: center;
            padding-top: 23px;
            padding-bottom: 28px;
            min-width: $width-medium;
            padding-left: 10.5%;
            padding-right: 10.5%;
        };
        @media screen and (min-width: $width-desktop) {
            display: flex;
            position: relative;
            background: rgba(0, 0, 0, .0001);
            height: 100%;
            justify-content: space-evenly;
            align-items: center;
            padding-top: 28px;
            padding-bottom: 32px;
            min-width: $width-desktop;
            padding-left: 179px;
            padding-right: 178px;
        }

        &-item {
            padding-left: 13px;
            padding-top: 10px;
            font-weight: 400;
            font-size: 11px;
            letter-spacing: 1.1px;
            text-transform: uppercase;
            color: $main-color;
            @media screen and (min-width: $width-medium) {
                padding: 0;
            }
        }

        :first-child {
            color: #57A4A4;
        }

        :hover {
            background: #E5E5E5;
            @media screen and (min-width: $width-medium) {
                background: none;
            }
        }
    }
}

.menu__dropdown-btn.active {
    ::before {
        transform: translateY(0px) rotate(45deg);
        transition: 0.5s;
    }

    ::after {
        transform: translateY(0px) rotate(-45deg);
        transition: 0.5s;
    }

    span {
        color: #000000;
    }
}

.menu__navigation.active {
    display: grid;
}

.header {
    &__intro {
        min-width: 320px;
        @media screen and (min-width: $width-medium) {
            min-width: $width-medium;
        };
        @media screen and (min-width: $width-desktop) {
            min-width: $width-desktop;
        }

        img {
            width: 100%;
            @include side-paddings;
        }
    }
}
